All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# MyCustomQObject

Bindings for the MyCustomQObject class.

## Properties

None

## Methods

child(...)
childCount(...)
children(...)
className(...)
connect(...)
deleteLater(...)
disconnect(...)
getAttribute(...)
getElementById(...)
getParentNode(...)
hasAttribute(...)
isWidgetType(...)
parent(...)
properties(...)
setAttribute(...)
setThing(...)
signals(...)
slots(...)
superClassName(...)

## Qt Properties

Type | Name | Value
--- | --- | ---
Mode | mode | 7209065
QCString | name | MyCustomQObject
QString | thing |

## Qt Signals

destroyed()
destroyed(QObject*)

## Qt Slots

void | cleanupEventFilter(QObject*)
void | deleteLater()
enum | mode()
void | setMode(Mode)
void | setThing(const QString&)
QString | thing()